package com.m2pool.lease.dto.v2;

import java.math.BigDecimal;
import java.util.List;

public interface MachineInfoInterface {
    Integer getType();
    Long getId();
    String getCoin();
    String getAlgorithm();
    BigDecimal getTheoryPower();
    BigDecimal getMonthIncome();
    void setPowerIncomeInfoList(List<PowerIncomeInfoDto> powerIncomeInfoList);
}
